IcedTea-Web NetX

## net.sourceforge.jnlp.config
Class DeploymentConfiguration

    java.lang.Object
      net.sourceforge.jnlp.config.DeploymentConfiguration

    public final class DeploymentConfiguration

extends java.lang.Object

Manages the various properties and configuration related to deployment. See: http://download.oracle.com/javase/1.5.0/docs/guide/deployment/deployment-guide/properties.html

Nested Class Summary
`static class` `DeploymentConfiguration.ConfigType`

Field Summary
`static java.lang.String` `APPLET_TRUST_SETTINGS`
`static java.lang.String` `CONSOLE_DISABLE`
`static java.lang.String` `CONSOLE_HIDE`
`static java.lang.String` `CONSOLE_SHOW`
`static java.lang.String` `DEPLOYMENT_COMMENT`
`static java.lang.String` `DEPLOYMENT_CONFIG`
`static java.lang.String` `DEPLOYMENT_DIR`
`static java.lang.String` `DEPLOYMENT_PROPERTIES`
`static int` `JNLP_ASSOCIATION_ASK_USER`
`static int` `JNLP_ASSOCIATION_NEVER`
`static int` `JNLP_ASSOCIATION_NEW_ONLY`
`static int` `JNLP_ASSOCIATION_REPLACE_ASK`
`static java.lang.String` `KEY_AUTO_DOWNLOAD_JRE`
`static java.lang.String` `KEY_BROWSER_PATH`
`static java.lang.String` `KEY_CONSOLE_STARTUP_MODE`
`static java.lang.String` `KEY_CREATE_DESKTOP_SHORTCUT`
`static java.lang.String` `KEY_ENABLE_LOGGING`
`static java.lang.String` `KEY_ENABLE_TRACING`
`static java.lang.String` `KEY_JNLP_ASSOCIATIONS`
`static java.lang.String` `KEY_JRE_DIR`
`static java.lang.String` `KEY_JRE_INTSTALL_URL`
`static java.lang.String` `KEY_PLUGIN_JVM_ARGUMENTS`
`static java.lang.String` `KEY_PROXY_AUTO_CONFIG_URL`
`static java.lang.String` `KEY_PROXY_BYPASS_LIST`
`static java.lang.String` `KEY_PROXY_BYPASS_LOCAL`
`static java.lang.String` `KEY_PROXY_FTP_HOST`
`static java.lang.String` `KEY_PROXY_FTP_PORT`
`static java.lang.String` `KEY_PROXY_HTTP_HOST`
`static java.lang.String` `KEY_PROXY_HTTP_PORT`
`static java.lang.String` `KEY_PROXY_HTTPS_HOST`
`static java.lang.String` `KEY_PROXY_HTTPS_PORT`
`static java.lang.String` `KEY_PROXY_OVERRIDE_HOSTS`
`static java.lang.String` `KEY_PROXY_SAME`
`static java.lang.String` `KEY_PROXY_SOCKS4_HOST`
`static java.lang.String` `KEY_PROXY_SOCKS4_PORT`
`static java.lang.String` `KEY_PROXY_TYPE`
`static java.lang.String` `KEY_SECURITY_ALLOW_HIDE_WINDOW_WARNING` Boolean.
`static java.lang.String` `KEY_SECURITY_INSTALL_AUTHENTICATOR` Boolean.
`static java.lang.String` `KEY_SECURITY_LEVEL`
`static java.lang.String` `KEY_SECURITY_PROMPT_USER` Boolean.
`static java.lang.String` `KEY_SECURITY_PROMPT_USER_FOR_JNLP` Boolean.
`static java.lang.String` `KEY_SECURITY_TRUSTED_POLICY`
`static java.lang.String` `KEY_SYSTEM_CACHE_DIR`
`static java.lang.String` `KEY_SYSTEM_SECURITY_POLICY`
`static java.lang.String` `KEY_SYSTEM_TRUSTED_CA_CERTS`
`static java.lang.String` `KEY_SYSTEM_TRUSTED_CERTS`
`static java.lang.String` `KEY_SYSTEM_TRUSTED_CLIENT_CERTS`
`static java.lang.String` `KEY_SYSTEM_TRUSTED_JSSE_CA_CERTS`
`static java.lang.String` `KEY_SYSTEM_TRUSTED_JSSE_CERTS`
`static java.lang.String` `KEY_UPDATE_TIMEOUT`
`static java.lang.String` `KEY_USER_CACHE_DIR`
`static java.lang.String` `KEY_USER_LOCKS_DIR` the directory containing locks for single instance applications
`static java.lang.String` `KEY_USER_LOG_DIR`
`static java.lang.String` `KEY_USER_NETX_RUNNING_FILE` The netx_running file is used to indicate if any instances of netx are running (this file may exist even if no instances are running).
`static java.lang.String` `KEY_USER_PERSISTENCE_CACHE_DIR`
`static java.lang.String` `KEY_USER_SECURITY_POLICY`
`static java.lang.String` `KEY_USER_TMP_DIR`
`static java.lang.String` `KEY_USER_TRUSTED_CA_CERTS`
`static java.lang.String` `KEY_USER_TRUSTED_CERTS`
`static java.lang.String` `KEY_USER_TRUSTED_CLIENT_CERTS`
`static java.lang.String` `KEY_USER_TRUSTED_JSSE_CA_CERTS`
`static java.lang.String` `KEY_USER_TRUSTED_JSSE_CERTS`
`static java.io.File` `USER_DEPLOYMENT_PROPERTIES_FILE`

Constructor Summary
`DeploymentConfiguration()`

Method Summary
`void` `checkAndFixConfiguration(java.util.Map<java.lang.String,Setting<java.lang.String>> initial)` Check that the configuration is valid.
`void` `copyTo(java.util.Properties target)` Copies the current configuration into the target
`java.util.Set<java.lang.String>` `getAllPropertyNames()`
`static java.io.File` `getAppletTrustGlobalSettingsPath()`
`static java.io.File` `getAppletTrustUserSettingsPath()`
`java.lang.String` `getProperty(java.lang.String key)` Get the value for the given key
`java.util.Map<java.lang.String,Setting<java.lang.String>>` `getRaw()`
`void` `load()` Initialize this deployment configuration by reading configuration files.
`void` `load(boolean fixIssues)` Initialize this deployment configuration by reading configuration files.
`void` `save()` Saves all properties that are not part of default or system properties
`void` `setProperty(java.lang.String key, java.lang.String value)` Sets the value of corresponding to the key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEPLOYMENT_DIR

    public static final java.lang.String DEPLOYMENT_DIR

See Also:
  Constant Field Values

### DEPLOYMENT_CONFIG

    public static final java.lang.String DEPLOYMENT_CONFIG

See Also:
  Constant Field Values

### DEPLOYMENT_PROPERTIES

    public static final java.lang.String DEPLOYMENT_PROPERTIES

See Also:
  Constant Field Values

### APPLET_TRUST_SETTINGS

    public static final java.lang.String APPLET_TRUST_SETTINGS

See Also:
  Constant Field Values

### DEPLOYMENT_COMMENT

    public static final java.lang.String DEPLOYMENT_COMMENT

See Also:
  Constant Field Values

### JNLP_ASSOCIATION_NEVER

    public static final int JNLP_ASSOCIATION_NEVER

See Also:
  Constant Field Values

### JNLP_ASSOCIATION_NEW_ONLY

    public static final int JNLP_ASSOCIATION_NEW_ONLY

See Also:
  Constant Field Values

### JNLP_ASSOCIATION_ASK_USER

    public static final int JNLP_ASSOCIATION_ASK_USER

See Also:
  Constant Field Values

### JNLP_ASSOCIATION_REPLACE_ASK

    public static final int JNLP_ASSOCIATION_REPLACE_ASK

See Also:
  Constant Field Values

### CONSOLE_HIDE

    public static final java.lang.String CONSOLE_HIDE

See Also:
  Constant Field Values

### CONSOLE_SHOW

    public static final java.lang.String CONSOLE_SHOW

See Also:
  Constant Field Values

### CONSOLE_DISABLE

    public static final java.lang.String CONSOLE_DISABLE

See Also:
  Constant Field Values

### KEY_USER_CACHE_DIR

    public static final java.lang.String KEY_USER_CACHE_DIR

See Also:
  Constant Field Values

### KEY_USER_PERSISTENCE_CACHE_DIR

    public static final java.lang.String KEY_USER_PERSISTENCE_CACHE_DIR

See Also:
  Constant Field Values

### KEY_SYSTEM_CACHE_DIR

    public static final java.lang.String KEY_SYSTEM_CACHE_DIR

See Also:
  Constant Field Values

### KEY_USER_LOG_DIR

    public static final java.lang.String KEY_USER_LOG_DIR

See Also:
  Constant Field Values

### KEY_USER_TMP_DIR

    public static final java.lang.String KEY_USER_TMP_DIR

See Also:
  Constant Field Values

### KEY_USER_LOCKS_DIR

    public static final java.lang.String KEY_USER_LOCKS_DIR

  the directory containing locks for single instance applications

  See Also:
    Constant Field Values

### KEY_USER_NETX_RUNNING_FILE

    public static final java.lang.String KEY_USER_NETX_RUNNING_FILE

  The netx_running file is used to indicate if any instances of netx are running (this file may exist even if no instances are running). All netx instances acquire a shared lock on this file. If this file can be locked (using a `FileLock`) in exclusive mode, then other netx instances are not running

  See Also:
    Constant Field Values

### KEY_USER_SECURITY_POLICY

    public static final java.lang.String KEY_USER_SECURITY_POLICY

See Also:
  Constant Field Values

### KEY_USER_TRUSTED_CA_CERTS

    public static final java.lang.String KEY_USER_TRUSTED_CA_CERTS

See Also:
  Constant Field Values

### KEY_USER_TRUSTED_JSSE_CA_CERTS

    public static final java.lang.String KEY_USER_TRUSTED_JSSE_CA_CERTS

See Also:
  Constant Field Values

### KEY_USER_TRUSTED_CERTS

    public static final java.lang.String KEY_USER_TRUSTED_CERTS

See Also:
  Constant Field Values

### KEY_USER_TRUSTED_JSSE_CERTS

    public static final java.lang.String KEY_USER_TRUSTED_JSSE_CERTS

See Also:
  Constant Field Values

### KEY_USER_TRUSTED_CLIENT_CERTS

    public static final java.lang.String KEY_USER_TRUSTED_CLIENT_CERTS

See Also:
  Constant Field Values

### KEY_SYSTEM_SECURITY_POLICY

    public static final java.lang.String KEY_SYSTEM_SECURITY_POLICY

See Also:
  Constant Field Values

### KEY_SYSTEM_TRUSTED_CA_CERTS

    public static final java.lang.String KEY_SYSTEM_TRUSTED_CA_CERTS

See Also:
  Constant Field Values

### KEY_SYSTEM_TRUSTED_JSSE_CA_CERTS

    public static final java.lang.String KEY_SYSTEM_TRUSTED_JSSE_CA_CERTS

See Also:
  Constant Field Values

### KEY_SYSTEM_TRUSTED_CERTS

    public static final java.lang.String KEY_SYSTEM_TRUSTED_CERTS

See Also:
  Constant Field Values

### KEY_SYSTEM_TRUSTED_JSSE_CERTS

    public static final java.lang.String KEY_SYSTEM_TRUSTED_JSSE_CERTS

See Also:
  Constant Field Values

### KEY_SYSTEM_TRUSTED_CLIENT_CERTS

    public static final java.lang.String KEY_SYSTEM_TRUSTED_CLIENT_CERTS

See Also:
  Constant Field Values

### KEY_SECURITY_PROMPT_USER

    public static final java.lang.String KEY_SECURITY_PROMPT_USER

  Boolean. Only show security prompts to user if true

  See Also:
    Constant Field Values

### KEY_SECURITY_LEVEL

    public static final java.lang.String KEY_SECURITY_LEVEL

See Also:
  Constant Field Values

### KEY_SECURITY_TRUSTED_POLICY

    public static final java.lang.String KEY_SECURITY_TRUSTED_POLICY

See Also:
  Constant Field Values

### KEY_SECURITY_ALLOW_HIDE_WINDOW_WARNING

    public static final java.lang.String KEY_SECURITY_ALLOW_HIDE_WINDOW_WARNING

  Boolean. Only give AWTPermission("showWindowWithoutWarningBanner") if true

  See Also:
    Constant Field Values

### KEY_SECURITY_PROMPT_USER_FOR_JNLP

    public static final java.lang.String KEY_SECURITY_PROMPT_USER_FOR_JNLP

  Boolean. Only prompt user for granting any JNLP permissions if true

  See Also:
    Constant Field Values

### KEY_SECURITY_INSTALL_AUTHENTICATOR

    public static final java.lang.String KEY_SECURITY_INSTALL_AUTHENTICATOR

  Boolean. Only install the custom authenticator if true

  See Also:
    Constant Field Values

### KEY_PROXY_TYPE

    public static final java.lang.String KEY_PROXY_TYPE

See Also:
  Constant Field Values

### KEY_PROXY_SAME

    public static final java.lang.String KEY_PROXY_SAME

See Also:
  Constant Field Values

### KEY_PROXY_AUTO_CONFIG_URL

    public static final java.lang.String KEY_PROXY_AUTO_CONFIG_URL

See Also:
  Constant Field Values

### KEY_PROXY_BYPASS_LIST

    public static final java.lang.String KEY_PROXY_BYPASS_LIST

See Also:
  Constant Field Values

### KEY_PROXY_BYPASS_LOCAL

    public static final java.lang.String KEY_PROXY_BYPASS_LOCAL

See Also:
  Constant Field Values

### KEY_PROXY_HTTP_HOST

    public static final java.lang.String KEY_PROXY_HTTP_HOST

See Also:
  Constant Field Values

### KEY_PROXY_HTTP_PORT

    public static final java.lang.String KEY_PROXY_HTTP_PORT

See Also:
  Constant Field Values

### KEY_PROXY_HTTPS_HOST

    public static final java.lang.String KEY_PROXY_HTTPS_HOST

See Also:
  Constant Field Values

### KEY_PROXY_HTTPS_PORT

    public static final java.lang.String KEY_PROXY_HTTPS_PORT

See Also:
  Constant Field Values

### KEY_PROXY_FTP_HOST

    public static final java.lang.String KEY_PROXY_FTP_HOST

See Also:
  Constant Field Values

### KEY_PROXY_FTP_PORT

    public static final java.lang.String KEY_PROXY_FTP_PORT

See Also:
  Constant Field Values

### KEY_PROXY_SOCKS4_HOST

    public static final java.lang.String KEY_PROXY_SOCKS4_HOST

See Also:
  Constant Field Values

### KEY_PROXY_SOCKS4_PORT

    public static final java.lang.String KEY_PROXY_SOCKS4_PORT

See Also:
  Constant Field Values

### KEY_PROXY_OVERRIDE_HOSTS

    public static final java.lang.String KEY_PROXY_OVERRIDE_HOSTS

See Also:
  Constant Field Values

### KEY_ENABLE_TRACING

    public static final java.lang.String KEY_ENABLE_TRACING

See Also:
  Constant Field Values

### KEY_ENABLE_LOGGING

    public static final java.lang.String KEY_ENABLE_LOGGING

See Also:
  Constant Field Values

### KEY_CONSOLE_STARTUP_MODE

    public static final java.lang.String KEY_CONSOLE_STARTUP_MODE

See Also:
  Constant Field Values

### KEY_JNLP_ASSOCIATIONS

    public static final java.lang.String KEY_JNLP_ASSOCIATIONS

See Also:
  Constant Field Values

### KEY_CREATE_DESKTOP_SHORTCUT

    public static final java.lang.String KEY_CREATE_DESKTOP_SHORTCUT

See Also:
  Constant Field Values

### KEY_JRE_INTSTALL_URL

    public static final java.lang.String KEY_JRE_INTSTALL_URL

See Also:
  Constant Field Values

### KEY_AUTO_DOWNLOAD_JRE

    public static final java.lang.String KEY_AUTO_DOWNLOAD_JRE

See Also:
  Constant Field Values

### KEY_BROWSER_PATH

    public static final java.lang.String KEY_BROWSER_PATH

See Also:
  Constant Field Values

### KEY_UPDATE_TIMEOUT

    public static final java.lang.String KEY_UPDATE_TIMEOUT

See Also:
  Constant Field Values

### KEY_PLUGIN_JVM_ARGUMENTS

    public static final java.lang.String KEY_PLUGIN_JVM_ARGUMENTS

See Also:
  Constant Field Values

### KEY_JRE_DIR

    public static final java.lang.String KEY_JRE_DIR

See Also:
  Constant Field Values

### USER_DEPLOYMENT_PROPERTIES_FILE

    public static final java.io.File USER_DEPLOYMENT_PROPERTIES_FILE

Constructor Detail

### DeploymentConfiguration

    public DeploymentConfiguration()

Method Detail

### load

    public void load()
              throws javax.naming.ConfigurationException

  Initialize this deployment configuration by reading configuration files. Generally, it will try to continue and ignore errors it finds (such as file not found).

  Throws:
    `DeploymentException` - if it encounters a fatal error.
    `javax.naming.ConfigurationException`

### getAppletTrustUserSettingsPath

    public static java.io.File getAppletTrustUserSettingsPath()

### getAppletTrustGlobalSettingsPath

    public static java.io.File getAppletTrustGlobalSettingsPath()

### load

    public void load(boolean fixIssues)
              throws javax.naming.ConfigurationException

  Initialize this deployment configuration by reading configuration files. Generally, it will try to continue and ignore errors it finds (such as file not found).

  Parameters:
    `fixIssues` - If true, fix issues that are discovered when reading configuration by resorting to the default values
  Throws:
    `DeploymentException` - if it encounters a fatal error.
    `javax.naming.ConfigurationException`

### copyTo

    public void copyTo(java.util.Properties target)

  Copies the current configuration into the target

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Get the value for the given key

  Parameters:
    `key` - the property key
  Returns:
    the value for the key, or null if it can not be found

### getAllPropertyNames

    public java.util.Set<java.lang.String> getAllPropertyNames()

  Returns:
    a Set containing all the property names

### getRaw

    public java.util.Map<java.lang.String,Setting<java.lang.String>> getRaw()

  Returns:
    a map containing property names and the corresponding settings

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

  Sets the value of corresponding to the key. If the value has been marked as locked, it is not changed

  Parameters:
    `key` - the key
    `value` - the value to be associated with the key

### checkAndFixConfiguration

    public void checkAndFixConfiguration(java.util.Map<java.lang.String,Setting<java.lang.String>> initial)

  Check that the configuration is valid. If there are invalid values,set those values to the default values. This is done by using check() method of the ValueCheker for each setting on the actual value. Fixes are made in-place.

  Parameters:
    `initial` - a map representing the initial configuration

### save

    public void save()
              throws java.io.IOException

  Saves all properties that are not part of default or system properties

  Throws:
    `java.io.IOException` - if unable to save the file
    `java.lang.IllegalStateException` - if save() is called before load()

IcedTea-Web NetX

Submit a bug or feature